Import a resume
curl --request POST "https://rxresu.me/api/openapi/resumes/imports" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"data": {
"picture": {
"hidden": true,
"url": "<string>",
"size": 123,
"rotation": 123,
"aspectRatio": 123,
"borderRadius": 123,
"borderColor": "<string>",
"borderWidth": 123,
"shadowColor": "<string>",
"shadowWidth": 123
},
"basics": {
"name": "<string>",
"headline": "<string>",
"email": "<string>",
"phone": "<string>",
"location": "<string>",
"website": {
"url": "<string>",
"label": "<string>"
},
"customFields": [
{
"id": "<string>",
"icon": "<string>",
"text": "<string>",
"link": "<string>"
}
]
},
"summary": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"content": "<string>"
},
"sections": {
"profiles": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"icon": "<string>",
"iconColor": "<string>",
"network": "<string>",
"username": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
}
}
]
},
"experience": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"company": "<string>",
"position": "<string>",
"location": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"roles": [
{
"id": "<string>",
"position": "<string>",
"period": "<string>",
"description": "<string>"
}
]
}
]
},
"education": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"school": "<string>",
"degree": "<string>",
"area": "<string>",
"grade": "<string>",
"location": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"projects": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"name": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"skills": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"icon": "<string>",
"iconColor": "<string>",
"name": "<string>",
"proficiency": "<string>",
"level": 123,
"keywords": [
"<string>"
]
}
]
},
"languages": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"language": "<string>",
"fluency": "<string>",
"level": 123
}
]
},
"interests": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"icon": "<string>",
"iconColor": "<string>",
"name": "<string>",
"keywords": [
"<string>"
]
}
]
},
"awards": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"awarder": "<string>",
"date": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"certifications": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"issuer": "<string>",
"date": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"publications": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"publisher": "<string>",
"date": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"volunteer": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"organization": "<string>",
"location": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"references": {
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"name": "<string>",
"position": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"phone": "<string>",
"description": "<string>"
}
]
}
},
"customSections": [
{
"title": "<string>",
"icon": "<string>",
"columns": 123,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"id": "<string>",
"type": "cover-letter",
"items": [
{
"id": "<string>",
"hidden": true,
"recipient": "<string>",
"content": "<string>"
}
]
}
],
"metadata": {
"template": "azurill",
"layout": {
"sidebarWidth": 123,
"pages": [
{
"fullWidth": true,
"main": [
"<string>"
],
"sidebar": [
"<string>"
]
}
]
},
"page": {
"gapX": 123,
"gapY": 123,
"marginX": 123,
"marginY": 123,
"format": "a4",
"locale": "<string>",
"hideLinkUnderline": true,
"hideIcons": true,
"hideSectionIcons": true
},
"design": {
"level": {
"icon": "<string>",
"type": "hidden"
},
"colors": {
"primary": "<string>",
"text": "<string>",
"background": "<string>"
}
},
"typography": {
"body": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 123,
"lineHeight": 123
},
"heading": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 123,
"lineHeight": 123
}
},
"notes": "<string>",
"styleRules": [
"<string>"
]
}
}
}'"<string>"{
"defined": true,
"code": "RESUME_SLUG_ALREADY_EXISTS",
"status": 400,
"message": "A resume with this slug already exists.",
"data": null
}{
"defined": true,
"code": "<string>",
"status": 1,
"message": "<string>",
"data": null
}Authorization
2 alternative authorization methods available — see the spec for details.
Body
application/jsonShow child attributesHide child attributes
Show child attributesHide child attributes
Default: "cover"
covercontainRange: 32–512
Range: 0–360
Range: 0.5–2.5
Range: 0–100
Range: >= 0
Range: >= 0
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: ""
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Default: []
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: ""
Default: 0
Range: 0–5
Default: []
Default: "inline"
inlinelistDefault: "default"
defaultinlineShow child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: 0
Range: 0–5
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: ""
Default: []
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Show child attributesHide child attributes
Default: "onyx"
azurillbronzorchikoritaditgardittogengarglaliekakunalaprasleafishmeowthonyxpersianpikachuporygonrhyhornscizorsmeargleShow child attributesHide child attributes
Default: 35
Range: 10–50
leftrightShow child attributesHide child attributes
Show child attributesHide child attributes
Range: >= 0
Range: >= 0
Default: 14
Range: 0–100
Default: 12
Range: 0–100
Default: "a4"
a4letterfree-formDefault: "en-US"
shortlongnumericisoDefault: false
Default: true
Show child attributesHide child attributes
Show child attributesHide child attributes
hiddencirclesquarerectanglerectangle-fullprogress-bariconShow child attributesHide child attributes
Show child attributesHide child attributes
Default: "stacked"
stackedinlinecompactdate-columneyebrowDefault: "organization"
organizationroleDefault: "none"
nonerulebarbandShow child attributesHide child attributes
Show child attributesHide child attributes
Default: ["400"]
Default: 1.5
Range: 0.5–4
Show child attributesHide child attributes
Default: ["400"]
Default: 1.5
Range: 0.5–4
Show child attributesHide child attributes
Default: true